gnutls_record_send_early_data(3)

NAME
gnutls_record_send_early_data - API function

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_send_early_data(gnutls_session_t session, const void * data, size_t data_size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

const void * data
    contains the data to send

size_t data_size
    is the length of the data

DESCRIPTION
This function can be used by a client to send data early in the handshake processes when resuming a session. This is used to implement a zero-roundtrip (0-RTT) mode. It has the same semantics as gnutls_record_send(). There may be a limit to the amount of data sent as early data. Use gnutls_record_get_max_early_data_size() to check the limit. If the limit exceeds, this function returns GNUTLS_E_RECORD_LIMIT_REACHED.

RETURNS
The number of bytes sent, or a negative error code. The number of bytes sent might be less than data_size . The maximum number of bytes this function can send in a single call depends on the negotiated maximum record size.

SINCE
3.6.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/